VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Draw Concentric Circles"
   ClientHeight    =   3300
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4905
   ControlBox      =   0   'False
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3300
   ScaleWidth      =   4905
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check1 
      Caption         =   "Color Gradient"
      Height          =   255
      Left            =   2760
      TabIndex        =   15
      Top             =   2160
      Width           =   1575
   End
   Begin VB.TextBox txtN 
      Height          =   450
      Left            =   3360
      TabIndex        =   7
      Text            =   "3"
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox txtX 
      Height          =   450
      Left            =   720
      TabIndex        =   6
      Text            =   "0"
      Top             =   600
      Width           =   1215
   End
   Begin VB.TextBox txtI 
      Height          =   450
      Left            =   3360
      TabIndex        =   5
      Text            =   "0.2"
      Top             =   1560
      Width           =   1215
   End
   Begin VB.TextBox txtR 
      Height          =   450
      Left            =   3360
      TabIndex        =   4
      Text            =   "1"
      Top             =   1080
      Width           =   1215
   End
   Begin VB.TextBox txtZ 
      Height          =   450
      Left            =   720
      TabIndex        =   3
      Text            =   "0"
      Top             =   1560
      Width           =   1215
   End
   Begin VB.TextBox txtY 
      Height          =   450
      Left            =   720
      TabIndex        =   2
      Text            =   "0"
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   495
      Left            =   2573
      TabIndex        =   1
      Top             =   2640
      Width           =   1695
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Draw"
      Height          =   495
      Left            =   413
      TabIndex        =   0
      Top             =   2640
      Width           =   1695
   End
   Begin VB.Label Label7 
      Caption         =   "Radius Increment"
      Height          =   495
      Left            =   2400
      TabIndex        =   14
      Top             =   1560
      Width           =   1215
   End
   Begin VB.Label Label6 
      Caption         =   "Starting Radius"
      Height          =   375
      Left            =   2400
      TabIndex        =   13
      Top             =   1080
      Width           =   855
   End
   Begin VB.Label Label5 
      Caption         =   "Number of Circles"
      Height          =   495
      Left            =   2400
      TabIndex        =   12
      Top             =   600
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Z"
      Height          =   495
      Left            =   360
      TabIndex        =   11
      Top             =   1680
      Width           =   345
   End
   Begin VB.Label Label3 
      Caption         =   "Y"
      Height          =   495
      Left            =   360
      TabIndex        =   10
      Top             =   1080
      Width           =   345
   End
   Begin VB.Label Label2 
      Caption         =   "X"
      Height          =   495
      Left            =   360
      TabIndex        =   9
      Top             =   600
      Width           =   345
   End
   Begin VB.Label Label1 
      Caption         =   "Center Coordinates:"
      Height          =   255
      Left            =   480
      TabIndex        =   8
      Top             =   240
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim tcApp As IMSIGX.Application
Dim dr As Drawing
Dim grs As Graphics
Dim gr As Graphic


Private Sub cmdExit_Click()
Set tcApp = Nothing
Set dr = Nothing
Set grs = Nothing
Set gr = Nothing
End
End Sub

Private Sub Command1_Click()
Dim i As Integer
Dim iclr As Integer

'On Error GoTo ErrH
Set dr = tcApp.ActiveDrawing
Set grs = dr.Graphics
Dim grRed As Integer
Dim grBlue As Integer

For i = 0 To CInt(txtN) - 1
    Set gr = grs.AddCircleCenterAndPoint(CDbl(txtX), CDbl(txtY), CDbl(txtZ) _
    , CDbl(txtX) + CDbl(txtR) + (i * CDbl(txtI)), CDbl(txtY), CDbl(txtZ))
    If Check1 Then
        grRed = CInt(0 + (i * (255 / txtN)))
        grBlue = CInt(255 - (i * (255 / txtN)))
        gr.Properties("pencolor") = RGB(grRed, 0, grBlue)
        gr.Properties("penwidth") = CDbl(txtI)
    Else
    End If
    
    Set gr = Nothing
    
Next i
Exit Sub

ErrH:
    MsgBox "Error Occurred: " & Err.Description
    Exit Sub

End Sub

Private Sub Form_Load()
Dim hwnd As Long
Dim ans As Integer
        Select Case IsTcadRunning()
        Case True
            'there is a window with "TurboCAD Professional" in the caption
            
        Case Else
            ans = MsgBox("A running instance of TurboCAD could not be found." & vbLf & "Please start TurboCAD before running this application.", vbExclamation)
            End
            
        End Select
Set tcApp = GetObject(, "TurboCad.Application")


End Sub


